Table of Contents

Class: JConnection | Twisted-0.19.0/twisted/internet/javareactor.py
--- | ---
A java connection class.
Base Classes |
--- | ---
abstract.FileDescriptor protocol.Transport styles.Ephemeral
Methods |
--- | ---
__init__ connectionLost getHost getPeer loseConnection produceMore registerProducer unregisterProducer write
| __init__
    __init__ (
            self,
            skt,
            protocol,
            jport,
            )
| connectionLost
    connectionLost ( self,  arg=None )
| getHost
    getHost ( self )
| getPeer
    getPeer ( self )
| loseConnection
    loseConnection ( self )
| produceMore
    produceMore ( self,  x )
| registerProducer
    registerProducer (
            self,
            producer,
            streaming,
            )
| unregisterProducer
    unregisterProducer ( self )
| write
    write ( self,  data )

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0